Bug 94669 - Calc editing - autofill step-size: suggest no increment if the sequence initially contains only one cell.
Summary: Calc editing - autofill step-size: suggest no increment if the sequence init...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium enhancement
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: AutoFill
  Show dependency treegraph
 
Reported: 2015-10-01 14:32 UTC by Richard Neill
Modified: 2022-02-20 20:29 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Neill 2015-10-01 14:32:46 UTC
Autofill works excellently when there are at least 2 cells already in the sequence, and we are dragging into a 3rd and subsequent. 

E.g. given a sequence:    1 , 2    
autofill will correctly continue as   3 , 4 , 5 ,...

Likewise, the sequence    1 , 1   
continues as   1 , 1 , 1 ....


However, if the sequence only has one term, autofill's default behaviour is to increment it, which I personally find almost always wrong.

The sequence:      1  
should continue    1 , 1,  1,   1,  ...

While the sequence:     Jan 1 2015
should continue:        Jan 1 2015,  Jan 1 2015,   Jan 1 2015, ...

In other words, auto-fill based on a single cell should assume that the step size is zero, and that I want a whole column of identical values.

I do realise that this is something that different people will see differently, therefore it should probably be a preference, with the present behaviour as a default.

Thanks very much for your time.
Comment 1 Richard Neill 2015-10-01 19:07:42 UTC
One place where this can cause really serious errors is when we have a table
such as this

Name_a   value_a   const   formula_1   formula_2   formula_3
Name_b   value_b   const   formula_1   formula_2   formula_3
Name_c   value_c   const   formula_1   formula_2   formula_3


In other words, name and value are data entered by the user, while const
might be a figure such as salary-overhead, which is usually (but not always) fixed at 25%.

I then add a 4th row, entering 

Name_d    value_d

and then I  select  [[ const  formula_1   formula_2   formula_3 ]]  

and use use autofill to drag it down.

What I then  get is a 4th row:

Name_d    value_d   const+1  formula_1   formula_2   formula_3


Note that the "const" has been automagically "corrupted" to const+1 which I almost certainly didn't intend, and most likely failed to notice.


In general, this is the kind of issue which I would be very happy to pay a bug bounty to get fixed...
Comment 2 Justin L 2022-02-11 05:31:31 UTC
I strongly suggest WONTFIX because
a.) it is the current behaviour, already built into many people's workflow.
b.) it certainly is not incorrect, and so can't be claimed as wrong behaviour.
c.) it is completely consistent with the general purpose of autofill.
d.) it doesn't duplicate an obvious alternative workflow (copy/paste).

The only favourable argument is that it matches Microsoft Excel 2003 behaviour.
Comment 3 Heiko Tietze 2022-02-11 08:43:09 UTC
The "zero increment autofill" is very easy to achieve: just copy/paste. While the increment requires a bit more interaction.
But the compatibility argument is quite strong. Extending 1 just copies this value with GSheets and MSO365.
We should also consider a sequence where users just extend the last number. Our approach still works but only in case of simple sequences (1,2...).
Comment 4 Heiko Tietze 2022-02-17 10:07:13 UTC
We discussed the topic in the design meeting.

   + Excel and GSheet do as requested
   + Excel offers options what to do
   + Calc always does +1 for lists even wrongly for 1,3,5
   + with Ctrl being pressed, the selected cells are copied, so the expected 
     behavior works out of the box

Suggestion is to change the default for single cell selection, as requested. 

We may consider to alter the behavior depending on Ctrl, but in this case the sequence should take the previous cell into account (for single cells it would be the one above).
Comment 5 Regina Henschel 2022-02-17 13:04:15 UTC
I'm against removing a feature only because other application do not have it. It is very convenient to have autofil on a single cell, especially when using autofil with double-click on the little square in the cell corner. I get annoyed every time I have to work with Excel where the function is not available. A common use is for example to add a numbering to an existing table: Write the 1 in the first cell and double click the square. Or generate a list of day or month names. You know, that this autofil considers the Sort Lists defined in Tools > Options > Calc > Sort Lists?

I'm sure that a lot of LibreOffice users will complain, if the feature is no longer available.
Comment 6 Heiko Tietze 2022-02-17 14:07:09 UTC
Please read/comment carefully. Autofill on single cell does increment by 1, which is wrong in many situations. The proposal was to exchange ctrl+<autofill> and simple <autofill> and to make the autofill function on single cells aware of what is above.
Comment 7 Cor Nouws 2022-02-20 20:29:21 UTC
(In reply to Heiko Tietze from comment #6)
> Please read/comment carefully. Autofill on single cell does increment by 1,
> which is wrong in many situations. The proposal was to exchange
> ctrl+<autofill> and simple <autofill> and to make the autofill function on
> single cells aware of what is above.

In the light of the full discussion in the meeting, it would make real sense to not do this single change.
Just collect relevant short-cuts that differ in Calc and Excel and offer one setting in options allowing users to chose.